#pragma once

#include "MazeContent/Entities/Pacman.h"
#include "MazeContent/Entities/DynamicEntities/IDynamicEntity.h"
#include "MazeContent/Entities/StaticEntities//IStaticEntity.h"

class GameContext {
public:
    GameContext clone() const;
public:
    enum State{ INGAME, WIN, LOST }
    state = INGAME;
    Pacman pacman;
    std::vector<std::unique_ptr<IStaticEntity>> static_objects;
    std::vector<std::unique_ptr<IDynamicEntity>> dynamic_objects;
};