#pragma once

#include "MazeContent/Entities/IEntity.h"
#include "Visit/IVisitable.h"

class IDynamicEntity: public IEntity, public IVisitable {
public:
    virtual std::unique_ptr<IDynamicEntity> clone() const = 0;
    virtual void action() = 0;
    virtual ~IDynamicEntity() = default;
};