#include "Events/DeleteStaticEntity.hpp"

DeleteStaticEntity::DeleteStaticEntity(IStaticEntity* ptr_entity) : m_ptr_entity(ptr_entity) {}

void DeleteStaticEntity::handle(GameContext& context) const {
    for (size_t i = 0; i < context.static_objects.size(); ++i) {
        if (context.static_objects[i].get() == m_ptr_entity) {
            context.static_objects.erase(context.static_objects.begin() + i);
            break;
        }
    }
}